import React from "react";
import { DirectionObj } from "utils/constants";

const ImageCaption = React.memo(({ img }) => {
  return (
    <div
      style={{
        display: "flex",
        height: "40px",
        alignItems: "center",
      }}
    >
      {img.direction && (
        <div
          style={{
            width: "40px",
            height: "40px",
            display: "flex",
            alignItems: "center",
          }}
        >
          {DirectionObj[img.direction]}
        </div>
      )}
      {img.displays?.length && (
        <div
          style={{
            width: "calc(90% - 40px)",

            color: "black",
          }}
        >
          <div
            style={{
              background: "#fff",
              display: "inline-block",
              padding: "0 5px",
            }}
          >
            <h5 style={{ textTransform: "capitalize" }}>
              {img.type ? img.type : ""}:
              {" " + img.displays[0].type ? img.displays[0].type : ""}
            </h5>
            <h5>Brand: {img.displays[0].brand ? img.displays[0].brand : ""}</h5>
          </div>
        </div>
      )}
    </div>
  );
});

export default ImageCaption;
