import React from "react";
import SvgRect from "commonComponents/svgRect";

const SvgRenderer = React.memo(
  ({
    boundingBoxes,
    selectedBoxes,
    onClickBoundingBox,
    img,
    onClickPolygon,
    dynamicCheckboxes,
    inclusion,
    viewInfo,
    isTse,
    forUpdationBoxes,
  }) => {
    return (
      <SvgRect
        boundingBoxes={boundingBoxes}
        selectedBoxes={selectedBoxes}
        onClickBoundingBox={onClickBoundingBox}
        img={img}
        dynamicCheckboxes={dynamicCheckboxes}
        onClickPolygon={onClickPolygon}
        inclusion={inclusion}
        viewInfo={viewInfo}
        isTse={isTse}
        forUpdationBoxes={forUpdationBoxes}
      />
    );
  }
);

export default SvgRenderer;
